ColumnTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.ColumnTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class ColumnTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.hyperic.hq.ui.taglib.display.ColumnTag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  LocalizedColumnTag

    public class ColumnTag

extends javax.servlet.jsp.tagext.BodyTagSupport
implements java.lang.Cloneable

This tag works hand in hand with the SmartListTag to display a list of objects. This describes a column of data in the SmartListTag. There can be any (reasonable) number of columns that make up the list.

This tag does no work itself, it is simply a container of information. The TableTag does all the work based on the information provided in the attributes of this tag.

Usage:

Attributes:

property - the property method that is called to retrieve the information to be displayed in this column. This method is called on the current object in the iteration for the given row. The property format is in typical struts format for properties (required) title - the title displayed for this column. if this is omitted then the property name is used for the title of the column (optional) nulls - by default, null values don't appear in the list, by setting viewNulls to 'true', then null values will appear as "null" in the list (mostly useful for debugging) (optional) width - the width of the column (gets passed along to the html td tag). (optional) group - the grouping level (starting at 1 and incrementing) of this column (indicates if successive contain the same values, then they should not be displayed). The level indicates that if a lower level no longer matches, then the matching for this higher level should start over as well. If this attribute is not included, then no grouping is performed. (optional) decorator - a class that should be used to "decorate" the underlying object being displayed. If a decorator is specified for the entire table, then this decorator will decorate that decorator. (optional) autolink - if set to true, then any email addresses and URLs found in the content of the column are automatically converted into a hypertext link. href - if this attribute is provided, then the data that is shown for this column is wrapped inside a tag with the url provided through this attribute. Typically you would use this attribute along with one of the struts-like param attributes below to create a dynamic link so that each row creates a different URL based on the data that is being viewed. (optional) paramId - The name of the request parameter that will be dynamically added to the generated href URL. The corresponding value is defined by the paramProperty and (optional) paramName attributes, optionally scoped by the paramScope attribute. (optional) paramName - The name of a JSP bean that is a String containing the value for the request parameter named by paramId (if paramProperty is not specified), or a JSP bean whose property getter is called to return a String (if paramProperty is specified). The JSP bean is constrained to the bean scope specified by the paramScope property, if it is specified. If paramName is omitted, then it is assumed that the current object being iterated on is the target bean. (optional) paramProperty - The name of a property of the bean specified by the paramName attribute (or the current object being iterated on if paramName is not provided), whose return value must be a String containing the value of the request parameter (named by the paramId attribute) that will be dynamically added to this href URL. (optional) paramScope - The scope within which to search for the bean specified by the paramName attribute. If not specified, all scopes are searched. If paramName is not provided, then the current object being iterated on is assumed to be the target bean. (optional) maxLength - If this attribute is provided, then the column's displayed is limited to this number of characters. An elipse (...) is appended to the end if this column is linked, and the user can mouseover the elipse to get the full text. (optional) maxWords - If this attribute is provided, then the column's displayed is limited to this number of words. An elipse (...) is appended to the end if this column is linked, and the user can mouseover the elipse to get the full text. (optional)

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ColumnTag()`

Method Summary
`int` | `doEndTag()` Passes attribute information up to the parent TableTag.
`int` | `doStartTag()`
`java.lang.String` | `getAlign()`
`java.lang.String` | `getAutolink()`
`java.lang.String` | `getBackground()`
`java.lang.String` | `getBgcolor()`
`protected java.lang.String` | `getCellAttributes()` Takes all the column pass-through arguments and bundles them up as a string that gets tacked on to the end of the td tag declaration.
`ColumnDecorator` | `getDecorator()`
`java.lang.String` | `getDoubleQuote()`
`java.lang.String` | `getGroup()`
`java.lang.String` | `getHeaderStyleClass()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getHref()`
`int` | `getMaxLength()`
`int` | `getMaxWords()`
`java.lang.String` | `getNowrap()`
`java.lang.String` | `getNulls()`
`java.lang.String` | `getParamId()`
`java.lang.String` | `getParamName()`
`java.lang.String` | `getParamProperty()`
`java.lang.String` | `getParamScope()`
`java.lang.String` | `getProperty()`
`java.lang.String` | `getSort()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getValign()`
`java.lang.Object` | `getValue()`
`java.lang.String` | `getWidth()`
`void` | `release()` called by the jsp framework to release state.
`void` | `setAlign(java.lang.String v)`
`void` | `setAutolink(java.lang.String v)`
`void` | `setBackground(java.lang.String v)`
`void` | `setBgcolor(java.lang.String v)`
`void` | `setDecorator(ColumnDecorator v)`
`void` | `setDoubleQuote(java.lang.String v)`
`void` | `setGroup(java.lang.String v)`
`void` | `setHeaderStyleClass(java.lang.String v)`
`void` | `setHeight(java.lang.String v)`
`void` | `setHref(java.lang.String v)`
`void` | `setMaxLength(int v)`
`void` | `setMaxWords(int v)`
`void` | `setNowrap(java.lang.String v)`
`void` | `setNulls(java.lang.String v)`
`void` | `setParamId(java.lang.String v)`
`void` | `setParamName(java.lang.String v)`
`void` | `setParamProperty(java.lang.String v)`
`void` | `setParamScope(java.lang.String v)`
`void` | `setProperty(java.lang.String v)`
`void` | `setSort(java.lang.String v)`
`void` | `setStyleClass(java.lang.String v)`
`void` | `setTitle(java.lang.String v)`
`void` | `setValign(java.lang.String v)`
`void` | `setValue(java.lang.Object v)`
`void` | `setWidth(java.lang.String v)`
`java.lang.String` | `toString()` Returns a String representation of this Tag that is suitable for printing while debugging.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### ColumnTag

    public ColumnTag()

Method Detail

### setProperty

    public void setProperty(java.lang.String v)

### setTitle

    public void setTitle(java.lang.String v)

### setNulls

    public void setNulls(java.lang.String v)

### setSort

    public void setSort(java.lang.String v)

### setAutolink

    public void setAutolink(java.lang.String v)

### setGroup

    public void setGroup(java.lang.String v)

### setHref

    public void setHref(java.lang.String v)

### setParamId

    public void setParamId(java.lang.String v)

### setParamName

    public void setParamName(java.lang.String v)

### setParamProperty

    public void setParamProperty(java.lang.String v)

### setParamScope

    public void setParamScope(java.lang.String v)

### setMaxLength

    public void setMaxLength(int v)

### setMaxWords

    public void setMaxWords(int v)

### setWidth

    public void setWidth(java.lang.String v)

### setAlign

    public void setAlign(java.lang.String v)

### setBackground

    public void setBackground(java.lang.String v)

### setBgcolor

    public void setBgcolor(java.lang.String v)

### setHeight

    public void setHeight(java.lang.String v)

### setNowrap

    public void setNowrap(java.lang.String v)

### setValign

    public void setValign(java.lang.String v)

### setStyleClass

    public void setStyleClass(java.lang.String v)

### setHeaderStyleClass

    public void setHeaderStyleClass(java.lang.String v)

### setValue

    public void setValue(java.lang.Object v)

### setDoubleQuote

    public void setDoubleQuote(java.lang.String v)

### setDecorator

    public void setDecorator(ColumnDecorator v)

### getProperty

    public java.lang.String getProperty()

### getTitle

    public java.lang.String getTitle()

### getNulls

    public java.lang.String getNulls()

### getSort

    public java.lang.String getSort()

### getAutolink

    public java.lang.String getAutolink()

### getGroup

    public java.lang.String getGroup()

### getHref

    public java.lang.String getHref()

### getParamId

    public java.lang.String getParamId()

### getParamName

    public java.lang.String getParamName()

### getParamProperty

    public java.lang.String getParamProperty()

### getParamScope

    public java.lang.String getParamScope()

### getMaxLength

    public int getMaxLength()

### getMaxWords

    public int getMaxWords()

### getWidth

    public java.lang.String getWidth()

### getAlign

    public java.lang.String getAlign()

### getBackground

    public java.lang.String getBackground()

### getBgcolor

    public java.lang.String getBgcolor()

### getHeight

    public java.lang.String getHeight()

### getNowrap

    public java.lang.String getNowrap()

### getValign

    public java.lang.String getValign()

### getStyleClass

    public java.lang.String getStyleClass()

### getHeaderStyleClass

    public java.lang.String getHeaderStyleClass()

### getValue

    public java.lang.Object getValue()

### getDoubleQuote

    public java.lang.String getDoubleQuote()

### getDecorator

    public ColumnDecorator getDecorator()

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Passes attribute information up to the parent TableTag.

  When we hit the end of the tag, we simply let our parent (which better be a TableTag) know what the user wants to do with this column. We do that by simple registering this tag with the parent. This tag's only job is to hold the configuration information to describe this particular column. The TableTag does all the work.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if this tag is being used outside of a tag.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  called by the jsp framework to release state.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

### getCellAttributes

    protected java.lang.String getCellAttributes()

  Takes all the column pass-through arguments and bundles them up as a string that gets tacked on to the end of the td tag declaration.

### toString

    public java.lang.String toString()

  Returns a String representation of this Tag that is suitable for printing while debugging. Where the placeholders in brackets are replaced with their appropriate instance variables

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.